Debian Bug report logs - #405227
libghc6-glut-dev: should depend on libxmu-dev, others

version graph

Package: libghc6-glut-dev; Maintainer for libghc6-glut-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc6-glut-dev is src:haskell-dummy.

Reported by: Christopher Lane Hinson <lane@downstairspeople.org>

Date: Tue, 2 Jan 2007 00:18:02 UTC

Severity: normal

Found in version haskell-glut/2.0-2

Fixed in version 2.1.1-1

Done: Ian Lynagh <igloo@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lane@downstairspeople.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#405227; Package libghc6-glut-dev. Full text and rfc822 format available.

Acknowledgement sent to Christopher Lane Hinson <lane@downstairspeople.org>:
New Bug report received and forwarded. Copy sent to lane@downstairspeople.org, Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christopher Lane Hinson <lane@downstairspeople.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libghc6-glut-dev: should depend on libxmu-dev, others
Date: Mon, 01 Jan 2007 19:03:28 -0500
Package: libghc6-glut-dev
Version: 2.0-2
Severity: normal

It looks like packages built with libghc6-glut-dev build with -lXmu, but libxmu-dev is 
not a dependency.

There are also a few other linked libraries, some that I don't recognize, after fixing 
#404350.  They probably needs depends too:

libghc6-glut-dev/register.sh:ld-options: -lglut -lSM -lICE -lXmu -lXi -lGLU -lGL -lm

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libghc6-glut-dev depends on:
ii  freeglut3-dev                 2.4.0-5    OpenGL Utility Toolkit development
ii  ghc6 [libghc6-base-dev]       6.6-3      GHC - the Glasgow Haskell Compilat
ii  ghc6-prof [libghc6-base-prof] 6.6-3      Profiling libraries for the Glasgo
ii  libghc6-opengl-dev [libghc6-o 2.1-2      Haskell OpenGL binding for GHC

libghc6-glut-dev recommends no packages.

-- no debconf information



Reply sent to Ian Lynagh <igloo@earth.li>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christopher Lane Hinson <lane@downstairspeople.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 405227-done@bugs.debian.org (full text, mbox):

From: Ian Lynagh <igloo@earth.li>
To: 405227-done@bugs.debian.org
Subject: deps added
Date: Sat, 19 May 2007 12:07:41 +0100
Version: 2.1.1-1

libghc6-glut-dev now depends on

    freeglut3-dev, libice-dev, libsm-dev, libxi-dev, libxmu-dev


Thanks
Ian




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Oct 2007 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:14:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.